%global plugin_name credentials

Summary:    This plugin allows you to store credentials in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.1.13
Release:    10%{?dist}
License:    ASL 2.0
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Credentials+Plugin
# AltURL:   https://github.com/jenkinsci/credentials-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2

%description
This plugin allows you to store credentials in Jenkins.
The credentials plugin provides a standardized API for other 
plugins tostore and retrieve different types of credentials. 

User visible features are:

 * A “Manage Credentials” screen on the “Manage Jenkins” screen 
   allowing you to manage system and global credentials.
 * If you are using Jenkins security, when you go to 
   “Users” / your username / “Configure” you would see the option 
   to manage personal credentials.
 * Anywhere those credentials are needed, there is a drop down 
   list of the appropriate available credentials, and you just 
   select the appropriate one.
 * When the time comes to change the password, you just 
   change it once. 

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.1.13 - 2.1.13-10
- rebuilt

* Thu Jul 06 2017 root - 2.1.14-1
- Update to 2.1.14

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 2.1.13-1
- Update to 2.1.13

* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 2.1.11-1
- Update to 2.1.11

* Mon Nov 21 2016 Troy Dawson <tdawson@redhat.com> - 2.1.9-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.1.0-1
- Update to 2.1.0

* Wed Feb 10 2016 Troy Dawson <tdawson@redhat.com> - 1.24-2
- Update summary and description

* Tue Feb 09 2016 Troy Dawson <tdawson@redhat.com> - 1.24-1
- Initial package
